stream_set_write_buffer
stream_socket_client
Stream Functions
PHP Manual

# stream_socket_accept

Accept a connection on a socket created by stream_socket_server

### Description

resource stream_socket_accept ( resource `$server_socket` [, float `$timeout` = ini_get("default_socket_timeout") [, string `&$peername` ]] )

Accept a connection on a socket previously created by stream_socket_server.

### Parameters

`server_socket`

  The server socket to accept a connection from.

`timeout`

  Override the default socket accept timeout. Time should be given in seconds.

`peername`

  Will be set to the name (address) of the client which connected, if included and available from the selected transport.

  > Note:

  > Can also be determined later using stream_socket_get_name.

### Return Values

Returns a stream to the accepted socket connection or `FALSE` on failure.

### Notes

Warning

This function should not be used with UDP server sockets. Instead, use stream_socket_recvfrom and stream_socket_sendto.

### See Also

- stream_socket_server
- stream_socket_get_name
- stream_set_blocking
- stream_set_timeout
- fgets
- fgetss
- fwrite
- fclose
- feof
- cURL Functions